OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.AMD.DrawBuffersBlend

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetAMDDrawBuffersBlend :: MonadIO m => m Bool
- gl_AMD_draw_buffers_blend :: Bool
- glBlendEquationIndexedAMD :: MonadIO m => GLuint -> GLenum -> m ()
- glBlendEquationSeparateIndexedAMD :: MonadIO m => GLuint -> GLenum -> GLenum -> m ()
- glBlendFuncIndexedAMD :: MonadIO m => GLuint -> GLenum -> GLenum -> m ()
- glBlendFuncSeparateIndexedAMD :: MonadIO m => GLuint -> GLenum -> GLenum -> GLenum -> GLenum -> m ()

# Extension Support

glGetAMDDrawBuffersBlend :: MonadIO m => m Bool

Is the AMD_draw_buffers_blend extension supported?

gl_AMD_draw_buffers_blend :: Bool

Is the AMD_draw_buffers_blend extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDDrawBuffersBlend` in those cases instead.

# Functions

glBlendEquationIndexedAMD

Arguments

:: MonadIO m |
=> GLuint | `buf`.
-> GLenum | `mode`.
-> m () |

This command is an alias for `glBlendEquationi`.

glBlendEquationSeparateIndexedAMD

Arguments

:: MonadIO m |
=> GLuint | `buf`.
-> GLenum | `modeRGB`.
-> GLenum | `modeAlpha`.
-> m () |

This command is an alias for `glBlendEquationSeparatei`.

glBlendFuncIndexedAMD

Arguments

:: MonadIO m |
=> GLuint | `buf`.
-> GLenum | `src`.
-> GLenum | `dst`.
-> m () |

This command is an alias for `glBlendFunci`.

glBlendFuncSeparateIndexedAMD

Arguments

:: MonadIO m |
=> GLuint | `buf`.
-> GLenum | `srcRGB`.
-> GLenum | `dstRGB`.
-> GLenum | `srcAlpha`.
-> GLenum | `dstAlpha`.
-> m () |

This command is an alias for `glBlendFuncSeparatei`.